For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ExamplesConsole
OverviewText to SpeechAPI ReferenceChangelog
OverviewText to SpeechAPI ReferenceChangelog
  • API Reference
    • Introduction
    • Authentication
  • Text to Speech
      • GETList Voices
      • POSTCreate Voice
      • DELDelete Voice
      • GETDownload Voice Sample
LogoLogo
ExamplesConsole
Text to SpeechVoices

Delete Voice

DELETE
https://api.speechify.ai/v1/voices/:id
DELETE
/v1/voices/:id
1from speechify import Speechify
2
3client = Speechify(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.tts.voices.delete(
8 id="id",
9)

Delete a personal (cloned) voice

Was this page helpful?
Previous

Download Voice Sample

Next
Built with

Authentication

AuthorizationBearer

Enter your API key with the Bearer prefix, e.g. ‘Bearer sk_…’.

Path parameters

idstringRequired
The ID of the voice to delete

Response

Voice deleted successfully

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error